AddSDKDialog (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.sdk.ui.shared.AddSDKDialog class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.sdk.ui.shared
Class AddSDKDialog

    java.lang.Object
      TrayDialog
          com.nokia.carbide.cpp.sdk.ui.shared.AddSDKDialog

    public class AddSDKDialog

extends TrayDialog

Dialog that allows the user to add a new Symbian OS SDK or custkit to the devices.xml file.

Field Summary
`static java.lang.String` | `AUTO_DETECT`
`static java.lang.String` | `DEFAULT_NO`
`static java.lang.String` | `DEFAULT_YES`

Constructor Summary
`AddSDKDialog(Shell parentShell)` Create the dialog

Method Summary
`protected void` | `configureShell(Shell shell)`
`protected void` | `createButtonsForButtonBar(Composite parent)` Create contents of the button bar
`protected Control` | `createDialogArea(Composite parent)` Create contents of the dialog
`protected Point` | `getInitialSize()` Return the initial size of the dialog
`protected void` | `okPressed()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_YES

    public static final java.lang.String DEFAULT_YES

See Also:
  Constant Field Values

### DEFAULT_NO

    public static final java.lang.String DEFAULT_NO

See Also:
  Constant Field Values

### AUTO_DETECT

    public static final java.lang.String AUTO_DETECT

See Also:
  Constant Field Values

Constructor Detail

### AddSDKDialog

    public AddSDKDialog(Shell parentShell)

  Create the dialog

  Parameters:
    `parentShell` -

Method Detail

### configureShell

    protected void configureShell(Shell shell)

### okPressed

    protected void okPressed()

### createDialogArea

    protected Control createDialogArea(Composite parent)

  Create contents of the dialog

  Parameters:
    `parent` -

### createButtonsForButtonBar

    protected void createButtonsForButtonBar(Composite parent)

  Create contents of the button bar

  Parameters:
    `parent` -

### getInitialSize

    protected Point getInitialSize()

  Return the initial size of the dialog

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD